Index: azure_iot_hub/trunk/wolfssl-3.15.7/COPYING
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/COPYING	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/COPYING	(revision 389)
Index: azure_iot_hub/trunk/wolfssl-3.15.7/LICENSING
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/LICENSING	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/LICENSING	(revision 389)
Index: azure_iot_hub/trunk/wolfssl-3.15.7/README
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/README	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/README	(revision 389)
@@ -103,5 +103,5 @@
 This release of wolfSSL includes a fix for 1 security vulnerability.
 
-Medium level fix for potential cache attack with a variant of Bleichenbacherâs attack. Earlier versions of wolfSSL leaked PKCS #1 v1.5 padding information during private key decryption that could lead to a potential padding oracle attack. It is recommended that users update to the latest version of wolfSSL if they have RSA cipher suites enabled and have the potential for malicious software to be ran on the same system that is performing RSA operations. Users that have only ECC cipher suites enabled and are not performing RSA PKCS #1 v1.5 Decryption operations are not vulnerable. Also users with TLS 1.3 only connections are not vulnerable to this attack. Thanks to Eyal Ronen (Weizmann Institute), Robert Gillham (University of Adelaide), Daniel Genkin (University of Michigan), Adi Shamir (Weizmann Institute), David Wong (NCC Group), and Yuval Yarom (University of Adelaide and Data61) for the report.
+Medium level fix for potential cache attack with a variant of Bleichenbacher’s attack. Earlier versions of wolfSSL leaked PKCS #1 v1.5 padding information during private key decryption that could lead to a potential padding oracle attack. It is recommended that users update to the latest version of wolfSSL if they have RSA cipher suites enabled and have the potential for malicious software to be ran on the same system that is performing RSA operations. Users that have only ECC cipher suites enabled and are not performing RSA PKCS #1 v1.5 Decryption operations are not vulnerable. Also users with TLS 1.3 only connections are not vulnerable to this attack. Thanks to Eyal Ronen (Weizmann Institute), Robert Gillham (University of Adelaide), Daniel Genkin (University of Michigan), Adi Shamir (Weizmann Institute), David Wong (NCC Group), and Yuval Yarom (University of Adelaide and Data61) for the report.
 
 The paper for further reading on the attack details can be found at http://cat.eyalro.net/cat.pdf.
Index: azure_iot_hub/trunk/wolfssl-3.15.7/user_settings.h
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/user_settings.h	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/user_settings.h	(revision 389)
@@ -1,12 +1,15 @@
 //#define DEBUG_WOLFSSL
 
-//#define HAVE_LIBZ	ã¹ã¿ãã¯ãå¤ãå¿
-è¦
+//#define HAVE_LIBZ	スタックが多く必要
 #define HAVE_ECC
 #define HAVE_AESGCM
 //#define HAVE_FIPS
+// googleで必要
 #define HAVE_TLS_EXTENSIONS
 #define HAVE_SNI
 #define HAVE_SUPPORTED_CURVES
+// AzureのMQTToWSで必要、Open Weather Mapでは害
+//#define HAVE_SECURE_RENEGOTIATION
+//#define WOLFSSL_SECURE_RENEGOTIATION_ON_BY_DEFAULT
 
 #define ECC_TIMING_RESISTANT
@@ -16,6 +19,9 @@
 #define WOLFSSL_SHA512
 #define WOLFSSL_SMALL_STACK
-// curlã§ä½¿ç¨ãã¦ãã
+// curlで使用している
 #define WOLFSSL_ALLOW_TLSV10
+
+#define WOLFSSL_CERT_EXT
+//#define OPENSSL_EXTRA	GR-SAKURAでROMが足らなくなる
 
 #define WC_RSA_BLINDING
Index: azure_iot_hub/trunk/wolfssl-3.15.7/wolfcrypt/src/aes.c
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/wolfcrypt/src/aes.c	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/wolfcrypt/src/aes.c	(revision 389)
@@ -3439,5 +3439,5 @@
 
 
-/* See IntelÂ® Carry-Less Multiplication Instruction
+/* See Intel® Carry-Less Multiplication Instruction
  * and its Usage for Computing the GCM Mode White Paper
  * by Shay Gueron, Intel Mobility Group, Israel Development Center;
@@ -3445,5 +3445,5 @@
 
 
-/* Figure 9. AES-GCM â Encrypt With Single Block Ghash at a Time */
+/* Figure 9. AES-GCM – Encrypt With Single Block Ghash at a Time */
 
 static const __m128i ONE   = M128_INIT(0x0, 0x1);
@@ -6192,5 +6192,5 @@
 
 #ifdef HAVE_AES_DECRYPT
-/* Figure 10. AES-GCM â Decrypt With Single Block Ghash at a Time */
+/* Figure 10. AES-GCM – Decrypt With Single Block Ghash at a Time */
 
 static void AES_GCM_decrypt(const unsigned char *in, unsigned char *out,
Index: azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/options.h
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/options.h	(revision 389)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/options.h	(revision 389)
@@ -0,0 +1,26 @@
+/* wolfssl options.h
+ * generated from configure options
+ *
+ * Copyright (C) 2006-2015 wolfSSL Inc.
+ *
+ * This file is part of wolfSSL. (formerly known as CyaSSL)
+ *
+ */
+
+#ifndef WOLFSSL_OPTIONS_H
+#define WOLFSSL_OPTIONS_H
+
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "user_settings.h"
+
+#ifdef __cplusplus
+}
+#endif
+
+
+#endif /* WOLFSSL_OPTIONS_H */
+
Index: azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/test.h
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/test.h	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/test.h	(revision 389)
@@ -528,12 +528,11 @@
     /* Japanese */
     {
-        "SSL ãã¼ã¸ã§ã³ã¯",
-        "SSL æå·ã¹ã¤ã¼ãã¯",
-        "SSL æ²ç·åã¯",
-        "SSL DH ãµã¤ãºã¯",
-        "SSL åå©ç¨ã»ãã·ã§ã³",
-        "ä»£æ¿è¨¼æãã§ã¼ã³ãä½¿ç¨",
-        "ç¸ææ¹è¨¼ææ¸æ
-å ±",
+        "SSL バージョンは",
+        "SSL 暗号スイートは",
+        "SSL 曲線名は",
+        "SSL DH サイズは",
+        "SSL 再利用セッション",
+        "代替証明チェーンを使用",
+        "相手方証明書情報",
         NULL
     }
@@ -552,9 +551,8 @@
     /* Japanese */
     {
-        "çºè¡è
-",
-        "ãµãã¸ã§ã¯ã",
-        "ä»£æ¿å",
-        "ã·ãªã¢ã«çªå·",
+        "発行者",
+        "サブジェクト",
+        "代替名",
+        "シリアル番号",
         NULL
     },
